
final class Class251_Sub3 extends Class251 {

   Class251_Sub3(Class115 var1, int var2, boolean var3, boolean var4) {
      super(var1, var2, var3, var4, (Class251_Sub2)null);
   }

   public Object method4482(Class337 var1, byte var2) {
      return Class337.aClass337_4208 == var1?Integer.valueOf(-1):var1.method6212((byte)-38);
   }

   public Object method4477(Class337 var1) {
      return Class337.aClass337_4208 == var1?Integer.valueOf(-1):var1.method6212((byte)-22);
   }

   public Object method4481(Class337 var1) {
      return Class337.aClass337_4208 == var1?Integer.valueOf(-1):var1.method6212((byte)-46);
   }

   static final boolean method14352(int[][] var0, int[][] var1, int var2, int var3, int var4, int var5, int var6, int var7) {
      for(int var8 = var3; var8 <= var5; ++var8) {
         for(int var9 = var4; var9 <= var6; ++var9) {
            if(var0[var8][var9] == var2 && var1[var8][var9] <= 1) {
               return true;
            }
         }
      }

      return false;
   }

   static void method14353(Class124 var0, short var1) {
      if(258921611 * var0.anInt1370 == 5) {
         if(var1 <= 255) {
            return;
         }

         if(-1 != 961358561 * var0.anInt1444) {
            if(var1 <= 255) {
               ;
            }

            Class233.method4043(Class428.aClass545_5383, var0, 793252856);
         }
      }

   }

   static final int method14354(int var0, int var1) {
      return var0 >> 11 & 127;
   }

   static final void method14355(Class508 var0, int var1) {
      Class430.method7292(var0, -1358007212);
   }

   static final void method14356(Class508 var0, int var1) {
      Class294.aClass294_3468.method5327((byte)0);
   }

   public static Class384 method14357(int var0, int var1) {
      Class384[] var2 = Class175.method3067((byte)28);
      Class384[] var3 = var2;

      for(int var4 = 0; var4 < var3.length; ++var4) {
         Class384 var5 = var3[var4];
         if(-2075637131 * var5.anInt4806 == var0) {
            return var5;
         }
      }

      return null;
   }

   static final void method14358(Class508 var0, byte var1) {
      Class505 var2 = var0.aBool6014?var0.aClass505_6011:var0.aClass505_6010;
      Class124 var3 = var2.aClass124_5977;
      Class121 var4 = var2.aClass121_5978;
      Class447.method7497(var3, var4, var0, -418673268);
   }
}
